commit c97db6999bb689838b799d3f1b4d20f12a05e004
Author: Greg Sutcliffe <gsutclif@redhat.com>
Date:   Tue May 6 16:10:19 2014 +0100

    Hammer + deps for trusty

diff --git a/dependencies/trusty/apipie-bindings/changelog b/dependencies/trusty/apipie-bindings/changelog
new file mode 100644
index 000000000..509365cd4
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/changelog
@@ -0,0 +1,11 @@
+ruby-apipie-bindings (0.0.8-1) stable; urgency=low
+
+  * Update to 0.0.8
+
+ -- Tomas Strachota <tstrachota@redhat.com>  Thu, 7 May 2014 14:50:32 -0500
+
+ruby-apipie-bindings (0.0.6-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/apipie-bindings/compat b/dependencies/trusty/apipie-bindings/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/apipie-bindings/control b/dependencies/trusty/apipie-bindings/control
new file mode 100644
index 000000000..76f84278d
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/control
@@ -0,0 +1,20 @@
+Source: ruby-apipie-bindings
+Section: ruby
+Priority: optional
+Maintainer: Tomas Strachota <tstrachota@redhat.com>
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Homepage: http://github.com/Apipie/apipie-bindings
+XS-Ruby-Versions: all
+
+Package: ruby-apipie-bindings
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+         ruby-json (>= 1.6.1),
+         ruby-rest-client (>= 1.6.1),
+         ruby-oauth,
+         ruby-awesome-print,
+         ruby-mime-types (< 2.0.0)
+Description: The Ruby bindings for Apipie documented APIs
+ Bindings for API calls that are documented with Apipie. Bindings are generated on the fly.
diff --git a/dependencies/trusty/apipie-bindings/copyright b/dependencies/trusty/apipie-bindings/copyright
new file mode 100644
index 000000000..49d6e6c0d
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/copyright
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: apipie-bindings
+Source: FIXME <http://example.com/>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: GPL-2+ (FIXME)
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2014  <>
+License:
+ [LICENSE TEXT]
diff --git a/dependencies/trusty/apipie-bindings/ruby-apipie-bindings.docs b/dependencies/trusty/apipie-bindings/ruby-apipie-bindings.docs
new file mode 100644
index 000000000..07b3c9e99
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/ruby-apipie-bindings.docs
@@ -0,0 +1,2 @@
+# FIXME: READMEs found
+# README.md
diff --git a/dependencies/trusty/apipie-bindings/rules b/dependencies/trusty/apipie-bindings/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/apipie-bindings/source/format b/dependencies/trusty/apipie-bindings/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/apipie-bindings/watch b/dependencies/trusty/apipie-bindings/watch
new file mode 100644
index 000000000..e4bae41c6
--- /dev/null
+++ b/dependencies/trusty/apipie-bindings/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/apipie-bindings .*/apipie-bindings-(.*).tar.gz
diff --git a/dependencies/trusty/awesome_print/changelog b/dependencies/trusty/awesome_print/changelog
new file mode 100644
index 000000000..94349b8c6
--- /dev/null
+++ b/dependencies/trusty/awesome_print/changelog
@@ -0,0 +1,5 @@
+ruby-awesome-print (1.2.0-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/awesome_print/compat b/dependencies/trusty/awesome_print/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/awesome_print/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/awesome_print/control b/dependencies/trusty/awesome_print/control
new file mode 100644
index 000000000..8b91b22a9
--- /dev/null
+++ b/dependencies/trusty/awesome_print/control
@@ -0,0 +1,16 @@
+Source: ruby-awesome-print
+Section: ruby
+Priority: optional
+Maintainer: Tomas Strachota <tstrachota@redhat.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Homepage: http://github.com/michaeldv/awesome_print
+XS-Ruby-Versions: all
+
+Package: ruby-awesome-print
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+Description: Pretty print Ruby objects with proper indentation and colors
+ Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins
diff --git a/dependencies/trusty/awesome_print/copyright b/dependencies/trusty/awesome_print/copyright
new file mode 100644
index 000000000..e004f9fac
--- /dev/null
+++ b/dependencies/trusty/awesome_print/copyright
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: awesome_print
+Source: FIXME <http://example.com/>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: GPL-2+ (FIXME)
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2013  <>
+License:
+ [LICENSE TEXT]
diff --git a/dependencies/trusty/awesome_print/ruby-awesome-print.docs b/dependencies/trusty/awesome_print/ruby-awesome-print.docs
new file mode 100644
index 000000000..07b3c9e99
--- /dev/null
+++ b/dependencies/trusty/awesome_print/ruby-awesome-print.docs
@@ -0,0 +1,2 @@
+# FIXME: READMEs found
+# README.md
diff --git a/dependencies/trusty/awesome_print/rules b/dependencies/trusty/awesome_print/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/awesome_print/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/awesome_print/source/format b/dependencies/trusty/awesome_print/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/awesome_print/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/awesome_print/watch b/dependencies/trusty/awesome_print/watch
new file mode 100644
index 000000000..82387849f
--- /dev/null
+++ b/dependencies/trusty/awesome_print/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/awesome_print .*/awesome_print-(.*).tar.gz
diff --git a/dependencies/trusty/fast_gettext/changelog b/dependencies/trusty/fast_gettext/changelog
new file mode 100644
index 000000000..28408d9a7
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/changelog
@@ -0,0 +1,5 @@
+ruby-fast-gettext (0.8.1-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/fast_gettext/compat b/dependencies/trusty/fast_gettext/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/fast_gettext/control b/dependencies/trusty/fast_gettext/control
new file mode 100644
index 000000000..16ce90563
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/control
@@ -0,0 +1,24 @@
+Source: ruby-fast-gettext
+Section: ruby
+Priority: optional
+Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Dmitry Borodaenko <angdraug@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-fast-gettext.git
+Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fast-gettext.git;a=summary
+Homepage: https://github.com/grosser/fast_gettext
+XS-Ruby-Versions: all
+
+Package: ruby-fast-gettext
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+Suggests: ruby-activerecord
+Description: Fast GetText implementation for Ruby
+ FastGettext provides fast, memory-efficient, and thread-safe
+ internationalization API similar to GNU GetText. In addition to performance
+ improvements over original Ruby GetText, its capabilities include support for
+ multiple backends and advanced extensibility. Translations can be loaded from
+ po, mo, yaml files or, if ActiveRecord is available, from databases.
diff --git a/dependencies/trusty/fast_gettext/copyright b/dependencies/trusty/fast_gettext/copyright
new file mode 100644
index 000000000..1b463846c
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/copyright
@@ -0,0 +1,128 @@
+Format: http://dep.debian.net/deps/dep5
+Upstream-Name: fast_gettext
+Source: https://github.com/grosser/fast_gettext
+
+Files: *
+Copyright: Michael Grosser <michael@grosser.it>
+License: Expat
+
+Files: lib/fast_gettext/vendor/iconv.rb
+Copyright: 2004-2007, Masao Mutoh <mutoh at highway.ne.jp>
+License: Ruby or GPL-2
+
+Files: lib/fast_gettext/vendor/mofile.rb
+Copyright: 2003-2008, Masao Mutoh <mutoh at highway.ne.jp>
+           2002, Masahiro Sakai <s01397ms at sfc.keio.ac.jp>, Masao Mutoh <mutoh at highway.ne.jp>
+           2001, Masahiro Sakai <s01397ms at sfc.keio.ac.jp>
+License: Ruby or GPL-2
+
+Files: lib/fast_gettext/vendor/poparser.rb
+Copyright: 2003-2009, Masao Mutoh <mutoh at highway.ne.jp>
+License: Ruby or GPL-2
+
+Files: lib/fast_gettext/vendor/string.rb
+Copyright: 2005-2006, Masao Mutoh <mutoh at highway.ne.jp>
+License: Ruby or GPL-2
+
+Files: debian/*
+Copyright: 2011, Dmitry Borodaenko <angdraug@debian.org>
+License: GPL-2+
+
+License: Expat
+ Permission is hereby granted, free of charge, to any person obtaining a
+ copy of this software and associated documentation files (the
+ "Software"), to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to
+ permit persons to whom the Software is furnished to do so, subject to
+ the following conditions:
+ .
+ The above copyright notice and this permission notice shall be included
+ in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+ OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+ IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
+ CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+ TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+License: Ruby
+ Ruby is copyrighted free software by Yukihiro Matsumoto <matz@netlab.jp>.
+ You can redistribute it and/or modify it under either the terms of the GPL
+ (see the file GPL), or the conditions below:
+ .
+   1. You may make and give away verbatim copies of the source form of the
+      software without restriction, provided that you duplicate all of the
+      original copyright notices and associated disclaimers.
+ .
+   2. You may modify your copy of the software in any way, provided that
+      you do at least ONE of the following:
+ .
+        a) place your modifications in the Public Domain or otherwise
+           make them Freely Available, such as by posting said
+           modifications to Usenet or an equivalent medium, or by allowing
+           the author to include your modifications in the software.
+ .
+        b) use the modified software only within your corporation or
+           organization.
+ .
+        c) give non-standard binaries non-standard names, with
+           instructions on where to get the original software distribution.
+ .
+        d) make other distribution arrangements with the author.
+ .
+   3. You may distribute the software in object code or binary form,
+      provided that you do at least ONE of the following:
+ .
+        a) distribute the binaries and library files of the software,
+           together with instructions (in the manual page or equivalent)
+           on where to get the original distribution.
+ .
+        b) accompany the distribution with the machine-readable source of
+           the software.
+ .
+        c) give non-standard binaries non-standard names, with
+           instructions on where to get the original software distribution.
+ .
+        d) make other distribution arrangements with the author.
+ .
+   4. You may modify and include the part of the software into any other
+      software (possibly commercial).  But some files in the distribution
+      are not written by the author, so that they are not under these terms.
+ .
+      For the list of those files and their copying conditions, see the
+      file LEGAL.
+ .
+   5. The scripts and library files supplied as input to or produced as
+      output from the software do not automatically fall under the
+      copyright of the software, but belong to whomever generated them,
+      and may be sold commercially, and may be aggregated with this
+      software.
+ .
+   6. THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
+      IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
+      WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+      PURPOSE.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License can be found in `/usr/share/common-licenses/GPL-2'.
+
+License: GPL-2
+ The files hereby included are free software; you can distribute them
+ under the terms of the GNU General Public License as published by the
+ Free Software Foundation; under version 2 of the License as published
+ in June 1991.
+ .
+ On Debian systems, the full text of the GNU General Public License
+ version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
+
+License: GPL-2+
+ The files hereby included are free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public License as
+ published by the Free Software Foundation; either version 2 of the
+ License, or (at your option) any later version.
+ .
+ On Debian systems, the full text of the GNU General Public License
+ version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
diff --git a/dependencies/trusty/fast_gettext/ruby-fast-gettext.docs b/dependencies/trusty/fast_gettext/ruby-fast-gettext.docs
new file mode 100644
index 000000000..ad1245dfc
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/ruby-fast-gettext.docs
@@ -0,0 +1 @@
+Readme.md
diff --git a/dependencies/trusty/fast_gettext/ruby-fast-gettext.examples b/dependencies/trusty/fast_gettext/ruby-fast-gettext.examples
new file mode 100644
index 000000000..e39721e20
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/ruby-fast-gettext.examples
@@ -0,0 +1 @@
+examples/*
diff --git a/dependencies/trusty/fast_gettext/rules b/dependencies/trusty/fast_gettext/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/fast_gettext/source/format b/dependencies/trusty/fast_gettext/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/fast_gettext/watch b/dependencies/trusty/fast_gettext/watch
new file mode 100644
index 000000000..6ab0056b1
--- /dev/null
+++ b/dependencies/trusty/fast_gettext/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/fast_gettext .*/fast_gettext-(.*).tar.gz
diff --git a/dependencies/trusty/hammer_cli/changelog b/dependencies/trusty/hammer_cli/changelog
new file mode 100644
index 000000000..eec2d6653
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/changelog
@@ -0,0 +1,5 @@
+ruby-hammer-cli (0.1.0-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/hammer_cli/cli_config.yml b/dependencies/trusty/hammer_cli/cli_config.yml
new file mode 100644
index 000000000..e11161e38
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/cli_config.yml
@@ -0,0 +1,15 @@
+:ui:
+  :interactive: true
+  :per_page: 20
+  :history_file: '~/.hammer/history'
+
+
+# enable/disable color output of logger in Clamp commands
+:watch_plain: false
+
+:log_dir: '~/.hammer/log'
+:log_level: 'error'
+:log_api_calls: false
+#:log_owner: 'foreman'
+#:log_group: 'foreman'
+#:log_size: 5 #MB
diff --git a/dependencies/trusty/hammer_cli/compat b/dependencies/trusty/hammer_cli/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/hammer_cli/control b/dependencies/trusty/hammer_cli/control
new file mode 100644
index 000000000..eddd54e2a
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/control
@@ -0,0 +1,26 @@
+Source: ruby-hammer-cli
+Section: ruby
+Priority: optional
+Maintainer: Tomas Strachota <tstrachota@redhat.com>
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Homepage: http://github.com/theforeman/hammer-cli
+XS-Ruby-Versions: all
+
+Package: ruby-hammer-cli
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+         ruby-clamp (>= 0.6.2),
+         ruby-rest-client,
+         ruby-logging,
+         ruby-table-print (>= 1.5.1),
+         ruby-awesome-print,
+         ruby-highline,
+         ruby-mime-types (< 2.0.0),
+         ruby-fast-gettext (>= 0.8.0),
+         ruby-locale,
+         ruby-json (>= 1.6.1),
+         ruby-apipie-bindings (>= 0.0.6)
+Description: Universal command-line interface
+ Hammer cli provides universal extendable CLI interface for ruby apps
diff --git a/dependencies/trusty/hammer_cli/copyright b/dependencies/trusty/hammer_cli/copyright
new file mode 100644
index 000000000..e999f1ad8
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/copyright
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: hammer_cli
+Source: FIXME <http://example.com/>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: GPL-2+ (FIXME)
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2013  <>
+License:
+ [LICENSE TEXT]
diff --git a/dependencies/trusty/hammer_cli/dirs b/dependencies/trusty/hammer_cli/dirs
new file mode 100644
index 000000000..1bcba98f9
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/dirs
@@ -0,0 +1,2 @@
+/etc/hammer
+/etc/hammer/cli.modules.d
diff --git a/dependencies/trusty/hammer_cli/install b/dependencies/trusty/hammer_cli/install
new file mode 100644
index 000000000..8f9e50003
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/install
@@ -0,0 +1 @@
+debian/cli_config.yml   etc/hammer
diff --git a/dependencies/trusty/hammer_cli/patches/fixes-4916-skip-missing-translation-domains.patch b/dependencies/trusty/hammer_cli/patches/fixes-4916-skip-missing-translation-domains.patch
new file mode 100644
index 000000000..4c1212392
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/patches/fixes-4916-skip-missing-translation-domains.patch
@@ -0,0 +1,108 @@
+From 77c62f8e9410c7ab743f0b4cbc7ff9c2a147c98a Mon Sep 17 00:00:00 2001
+From: Tomas Strachota <tstrachota@redhat.com>
+Date: Mon, 31 Mar 2014 11:18:16 +0000
+Subject: [PATCH] Fixes #4916 - skip missing translation domains
+
+---
+ lib/hammer_cli/i18n.rb |   16 +++++++++++++-
+ test/unit/i18n_test.rb |   50 ++++++++++++++++++++++++++++++++++++++++++++++++
+ 2 files changed, 64 insertions(+), 2 deletions(-)
+ create mode 100644 test/unit/i18n_test.rb
+
+diff --git a/lib/hammer_cli/i18n.rb b/lib/hammer_cli/i18n.rb
+index 6b883fc..0cb62b0 100644
+--- a/lib/hammer_cli/i18n.rb
++++ b/lib/hammer_cli/i18n.rb
+@@ -37,6 +37,10 @@ module HammerCLI
+         :mo
+       end
+ 
++      def available?
++        File.exist?(locale_dir)
++      end
++
+       attr_reader :locale_dir, :domain_name
+     end
+ 
+@@ -76,12 +80,20 @@ module HammerCLI
+       @domains
+     end
+ 
++
+     def self.add_domain(domain)
+-      domains << domain
+-      FastGettext.add_text_domain(domain.domain_name, :path => domain.locale_dir, :type => domain.type, :report_warning => false)
++      if domain.available?
++        domains << domain
++        FastGettext.add_text_domain(domain.domain_name, :path => domain.locale_dir, :type => domain.type, :report_warning => false)
++      end
+     end
+ 
+ 
++    def self.clear
++      FastGettext.translation_repositories.clear
++      domains.clear
++    end
++
+     Encoding.default_external='UTF-8' if defined? Encoding
+     FastGettext.locale = locale
+ 
+diff --git a/test/unit/i18n_test.rb b/test/unit/i18n_test.rb
+new file mode 100644
+index 0000000..c0a884c
+--- /dev/null
++++ b/test/unit/i18n_test.rb
+@@ -0,0 +1,50 @@
++require File.join(File.dirname(__FILE__), 'test_helper')
++
++
++describe HammerCLI::I18n do
++
++  class TestLocaleDomain < HammerCLI::I18n::AbstractLocaleDomain
++
++    def initialize(name, available)
++      @name = name
++      @available = available
++    end
++
++    def locale_dir
++      File.dirname(__FILE__)
++    end
++
++    def domain_name
++      @name
++    end
++
++    def available?
++      @available
++    end
++  end
++
++  before :each do
++    HammerCLI::I18n.clear
++  end
++
++  let(:domain1) { TestLocaleDomain.new('domain1', true) }
++  let(:domain2) { TestLocaleDomain.new('domain2', true) }
++  let(:unavailable_domain) { TestLocaleDomain.new('domain3', false) }
++
++  it "registers available domains at gettext" do
++    FastGettext.expects(:add_text_domain).with do |name, options|
++      (name == domain1.domain_name) && (options[:path] == domain1.locale_dir) && (options[:type] == domain1.type)
++    end
++    HammerCLI::I18n.add_domain(domain1)
++  end
++
++  it "skips registering domains that are not available" do
++    HammerCLI::I18n.add_domain(domain1)
++    HammerCLI::I18n.add_domain(domain2)
++    HammerCLI::I18n.add_domain(unavailable_domain)
++    HammerCLI::I18n.domains.must_equal [domain1, domain2]
++  end
++
++
++end
++
+-- 
+1.7.1
+
diff --git a/dependencies/trusty/hammer_cli/patches/series b/dependencies/trusty/hammer_cli/patches/series
new file mode 100644
index 000000000..1b38cced5
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/patches/series
@@ -0,0 +1 @@
+fixes-4916-skip-missing-translation-domains.patch
diff --git a/dependencies/trusty/hammer_cli/rules b/dependencies/trusty/hammer_cli/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/hammer_cli/source/format b/dependencies/trusty/hammer_cli/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/hammer_cli/watch b/dependencies/trusty/hammer_cli/watch
new file mode 100644
index 000000000..fcd056878
--- /dev/null
+++ b/dependencies/trusty/hammer_cli/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/hammer_cli .*/hammer_cli-(.*).tar.gz
diff --git a/dependencies/trusty/hammer_cli_foreman/changelog b/dependencies/trusty/hammer_cli_foreman/changelog
new file mode 100644
index 000000000..cdb172bc6
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/changelog
@@ -0,0 +1,5 @@
+ruby-hammer-cli-foreman (0.1.0-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/hammer_cli_foreman/compat b/dependencies/trusty/hammer_cli_foreman/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/hammer_cli_foreman/control b/dependencies/trusty/hammer_cli_foreman/control
new file mode 100644
index 000000000..c481fcab1
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/control
@@ -0,0 +1,17 @@
+Source: ruby-hammer-cli-foreman
+Section: ruby
+Priority: optional
+Maintainer: Tomas Strachota <tstrachota@redhat.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Homepage: http://github.com/theforeman/hammer-cli-foreman
+XS-Ruby-Versions: all
+
+Package: ruby-hammer-cli-foreman
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+         ruby-hammer-cli (>= 0.1.0)
+Description: Foreman commands for Hammer
+ Foreman commands for Hammer CLI
diff --git a/dependencies/trusty/hammer_cli_foreman/copyright b/dependencies/trusty/hammer_cli_foreman/copyright
new file mode 100644
index 000000000..520327a6e
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/copyright
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: hammer_cli_foreman
+Source: FIXME <http://example.com/>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: GPL-2+ (FIXME)
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2013  <>
+License:
+ [LICENSE TEXT]
diff --git a/dependencies/trusty/hammer_cli_foreman/foreman.yml b/dependencies/trusty/hammer_cli_foreman/foreman.yml
new file mode 100644
index 000000000..28f0ab6fa
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/foreman.yml
@@ -0,0 +1,11 @@
+:foreman:
+  :enable_module: true
+  :host: 'https://localhost/'
+  :username: 'admin'
+  :password: 'changeme'
+
+  # Check cache status on each request
+  #:refresh_cache: false
+
+  # API request timeout, set -1 for infinity
+  #:request_timeout: 120 #seconds
diff --git a/dependencies/trusty/hammer_cli_foreman/install b/dependencies/trusty/hammer_cli_foreman/install
new file mode 100644
index 000000000..4d9e6bd48
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/install
@@ -0,0 +1 @@
+debian/foreman.yml   etc/hammer/cli.modules.d
diff --git a/dependencies/trusty/hammer_cli_foreman/ruby-hammer-cli-foreman.docs b/dependencies/trusty/hammer_cli_foreman/ruby-hammer-cli-foreman.docs
new file mode 100644
index 000000000..d0ab95f1b
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/ruby-hammer-cli-foreman.docs
@@ -0,0 +1 @@
+# FIXME: READMEs found
diff --git a/dependencies/trusty/hammer_cli_foreman/rules b/dependencies/trusty/hammer_cli_foreman/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/hammer_cli_foreman/source/format b/dependencies/trusty/hammer_cli_foreman/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/hammer_cli_foreman/watch b/dependencies/trusty/hammer_cli_foreman/watch
new file mode 100644
index 000000000..8bcb7d18f
--- /dev/null
+++ b/dependencies/trusty/hammer_cli_foreman/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/hammer_cli_foreman .*/hammer_cli_foreman-(.*).tar.gz
diff --git a/dependencies/trusty/table_print/changelog b/dependencies/trusty/table_print/changelog
new file mode 100644
index 000000000..210ddce55
--- /dev/null
+++ b/dependencies/trusty/table_print/changelog
@@ -0,0 +1,5 @@
+ruby-table-print (1.5.1-1) stable; urgency=low
+
+  * First Trusty release
+
+ -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000
diff --git a/dependencies/trusty/table_print/compat b/dependencies/trusty/table_print/compat
new file mode 100644
index 000000000..7f8f011eb
--- /dev/null
+++ b/dependencies/trusty/table_print/compat
@@ -0,0 +1 @@
+7
diff --git a/dependencies/trusty/table_print/control b/dependencies/trusty/table_print/control
new file mode 100644
index 000000000..8a6adac0d
--- /dev/null
+++ b/dependencies/trusty/table_print/control
@@ -0,0 +1,16 @@
+Source: ruby-table-print
+Section: ruby
+Priority: optional
+Maintainer: Tomas Strachota <tstrachota@redhat.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
+Standards-Version: 3.9.3
+Homepage: http://tableprintgem.com
+XS-Ruby-Versions: all
+
+Package: ruby-table-print
+Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+Description: Turn objects into nicely formatted columns for easy reading
+ TablePrint turns objects into nicely formatted columns for easy reading. Works great in rails console, works on pure ruby objects, autodetects columns, lets you traverse ActiveRecord associations. Simple, powerful.
diff --git a/dependencies/trusty/table_print/copyright b/dependencies/trusty/table_print/copyright
new file mode 100644
index 000000000..a0e7054a3
--- /dev/null
+++ b/dependencies/trusty/table_print/copyright
@@ -0,0 +1,33 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: table_print
+Source: FIXME <http://example.com/>
+
+Files: *
+Copyright: <years> <put author's name and email here>
+           <years> <likewise for another author>
+License: GPL-2+ (FIXME)
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+Files: debian/*
+Copyright: 2013  <>
+License:
+ [LICENSE TEXT]
diff --git a/dependencies/trusty/table_print/ruby-table-print.docs b/dependencies/trusty/table_print/ruby-table-print.docs
new file mode 100644
index 000000000..0d5eab809
--- /dev/null
+++ b/dependencies/trusty/table_print/ruby-table-print.docs
@@ -0,0 +1,2 @@
+# FIXME: READMEs found
+# README.rdoc
diff --git a/dependencies/trusty/table_print/rules b/dependencies/trusty/table_print/rules
new file mode 100755
index 000000000..a5e7dc880
--- /dev/null
+++ b/dependencies/trusty/table_print/rules
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+#
+# Uncomment to ignore all test failures (but the tests will run anyway)
+#export DH_RUBY_IGNORE_TESTS=all
+#
+# Uncomment to ignore some test failures (but the tests will run anyway).
+# Valid values:
+#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
+#
+# If you need to specify the .gemspec (eg there is more than one)
+#export DH_RUBY_GEMSPEC=gem.gemspec
+
+%:
+	dh $@ --buildsystem=ruby --with ruby
diff --git a/dependencies/trusty/table_print/source/format b/dependencies/trusty/table_print/source/format
new file mode 100644
index 000000000..163aaf8d8
--- /dev/null
+++ b/dependencies/trusty/table_print/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dependencies/trusty/table_print/watch b/dependencies/trusty/table_print/watch
new file mode 100644
index 000000000..fdf2e0c29
--- /dev/null
+++ b/dependencies/trusty/table_print/watch
@@ -0,0 +1,2 @@
+version=3
+http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/table_print .*/table_print-(.*).tar.gz
